## ros-melodic-ur3e-moveit-config 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur3e_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/moveit_planning_execution.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-ur3e-moveit-config (1.3.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.3.0-1bionic) bionic; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Use effort controllers for Gazebo #619 <https://github.com/ros-industrial/universal_robot/issues/619> from fmauch/gazebo_effort_controllers
  * [moveit_configs] Change default sim controller to effort controller
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
  * Update MoveIt! support (#538 <https://github.com/ros-industrial/universal_robot/issues/538>)
    Update MoveIt! configurations to new description structure.
    Co-authored-by: Luke Dennis <mailto:luke.j.dennis@gmail.com>
    Co-authored-by: gavanderhoorn <mailto:g.a.vanderhoorn@tudelft.nl>
    Co-authored-by: RobertWilbrandt <mailto:wilbrandt@fzi.de>
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Merge branch 'kinetic-devel' into patch-1
  * Contributors: Felix Exner, Felix Exner (fexner), Felix Mauch, Nadia Hammoudeh García, Qiang Qiu, RobertWilbrandt

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 09 Nov 2022 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.2.5-1bionic) bionic; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * MoveGroupExecuteService is Deprecated by MoveIt! (#391 <https://github.com/ros-industrial/universal_robot/issues/391>)
  * Update maintainer and author information.
  * Add roslaunch tests (#362 <https://github.com/ros-industrial/universal_robot/issues/362>)
  * Contributors: gavanderhoorn, Nadia Hammoudeh García, 薯片半价

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-ur3e-moveit-config (1.2.1-1bionic) bionic; urgency=high

  * Reduce longest valid segment fraction to accomodate non-limited version of the UR5 (#266 <https://github.com//ros-industrial/universal_robot/issues/266>)
  * Contributors: Scott Paulin

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Jan 2018 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.2.0-1bionic) bionic; urgency=high

  * Fix Deprecated warning in MoveIt: parameter moved into namespace 'trajectory_execution'
  * Contributors: Dave Coleman

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 03 Aug 2017 22:00:00 -0000

ros-melodic-ur3e-moveit-config (1.1.9-1bionic) bionic; urgency=high

  * use '--inorder' for jade+ xacro as well.
  * make RViz load MoveIt display by default.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Jan 2017 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.1.8-1bionic) bionic; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.1.7-1bionic) bionic; urgency=high

  * Don't depend on moveit_plugins metapackage
  * Fix xacro warnings in Jade
  * Contributors: Dave Coleman, Jon Binney

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Dec 2016 23:00:00 -0000

ros-melodic-ur3e-moveit-config (1.1.6-1bionic) bionic; urgency=high

  * add missing dependency for moveit_simple_controller_manager
  * Merge branch 'indigo-devel' of github.com:ros-industrial/universal_robot into ur3_moveit_config
  * apply latest setup assistant changes to ur5 and ur3e
  * Adding comment explaining the choice of default planning algorithm
  * Use RRTConnect by default for UR10
    Fixes bug #193 <https://github.com/ros-industrial/universal_robot/issues/193> about slow planning on Indigo
    LBKPIECE1 (the previous default) looks to be the wrong planning algorithm for the robot
    See https://groups.google.com/forum/#!topic/moveit-users/M71T-GaUNgg
  * crop ik solutions wrt joint_limits
  * set planning time to 0
  * reduce planning attempts in moveit rviz plugin
  * Contributors: Marco Esposito, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-ur3e-moveit-config (1.0.2-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 30 Mar 2014 22:00:00 -0000

ros-melodic-ur3e-moveit-config (1.0.1-1bionic) bionic; urgency=high

  * changes due to file renaming
  * update moveit_configs: include ee_link and handle limited robot
  * new moveit_configs for ur5 and ur3e
  * Contributors: ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-ur3e-moveit-config
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch <!nocheck>
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-ur3e-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-benchmarks, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-moveit-ros-warehouse, ros-melodic-moveit-setup-assistant, ros-melodic-moveit-simple-controller-manager, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-tf2-ros, ros-melodic-trac-ik-kinematics-plugin, ros-melodic-ur-description, ros-melodic-warehouse-ros-mongo, ros-melodic-xacro
Description: An automatically generated package with all the configuration and launch files for using the ur3e with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ur3e-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
